package com.bocloud.ims.interfaces.resource.azure.slb;

import com.bocloud.common.model.*;
import com.bocloud.ims.entity.resource.azure.slb.LbRule;

import java.util.List;
import java.util.Map;

public interface LbRuleService {

	BocloudResult<GridBean<LbRule>> list(Pager pager, RequestContext context);

	BocloudResult<LbRule> detail(Long id, RequestContext context);

	BocloudResult<Void> create(LbRule entityParams, RequestContext context);

	BocloudResult<Void> modify(LbRule params, RequestContext context);

	BocloudResult<Void> remove(Long id, RequestContext context);

}
